<?php
// Удаления записи исключения
if(isset($_GET['delexc']))
{
$delexc=abs(intval($_GET['delexc']));
$delexc_dat=mysql_fetch_array(mysql_query("SELECT * FROM `protect_exceptions` WHERE `id`='$delexc' LIMIT 1"));
  if($delexc_dat)
  {
    if(isset($_GET['accept']))
    {
    mysql_query("DELETE FROM `protect_exceptions` WHERE `id`='$delexc_dat[id]' LIMIT 1");
      if(mysql_affected_rows()>0)
      {
        $_SESSION['msg'].="IP [$delexc_dat[ip]] успешно удален из списка исключений!<br />";
      }
mysql_query("OPTIMIZE TABLE `protect_exceptions`");      
header("Location: adm.php?l=ipautoban&a=exceptions");exit;    
    }else
    {
     echo "<div class='err'>Вы действительно хотите удалить $delexc_dat[ip] из списка исключений?<br />";
     echo "<span class='p_t'><a href='adm.php?l=ipautoban&amp;a=exceptions&amp;delexc=$delexc_dat[id]&amp;accept'>да </a>"; echo "<a href='?a=exceptions'> нет</a></span>";
     echo "</div>";
    }
  }
}
//
echo "<div class='title'>Исключения</div>";
//
if(isset($_POST['exceptionsip']))
{
$errors="";
$exceptionsip=mysql_real_escape_string(trim($_POST['exceptionsip']));
if($exceptionsip==''){$errors.="Следует указать IP адрес исключения!<br />";}
$checkip=mysql_fetch_array(mysql_query("SELECT * FROM `protect_exceptions` WHERE `ip`='$exceptionsip' LIMIT 1"));
if($checkip){$errors.="Указанный IP [$exceptionsip] уже добавлен в исключения!<br />";}
$checkip2=mysql_fetch_array(mysql_query("SELECT * FROM `protect_black_list_ip` WHERE `ip`='$exceptionsip' LIMIT 1"));
if($checkip2){$errors.="Указанный IP [$exceptionsip] находится в списке заблокированных! Для начала следует удалить его из черного списка!<br />";}
  if($errors=="")
  {
    mysql_query("INSERT INTO `protect_exceptions` SET
    `ip`='$exceptionsip',
    `addtime`='$time',
    `id_add`='$user[id]',
    `nick_add`='$user[nick]'
    ");
    if(mysql_affected_rows()>0)
    {
    $_SESSION['msg'].="Указанный IP [$exceptionsip] успешно добавлен в список исключений!<br />";  
    }
  }
$_SESSION['err'].=$errors;
header("Location: adm.php?l=ipautoban&a=exceptions");exit;
}else{
// вывод списка исключений
$all=mysql_result(mysql_query("SELECT count(*) FROM `protect_exceptions` "),0);
$pnumber=10;//$user['set_p_str']; //Элементов на страницу    1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
$exceptions=mysql_query("SELECT * FROM `protect_exceptions` ORDER BY `id` DESC LIMIT $start,$pnumber");
if(mysql_num_rows($exceptions)>0)
{
   while($except_dat=mysql_fetch_array($exceptions,MYSQL_ASSOC))
   {
    echo "<div class='p_m'>";
    echo "$except_dat[ip] добавлен: ".vremja($except_dat['addtime'])."<br />";
    echo "Добавил: <a href='$Main/info.php?id=$except_dat[id_add]'>$except_dat[nick_add]</a>";
    echo " <a href='adm.php?l=ipautoban&amp;a=exceptions&amp;delexc=$except_dat[id]'>[del]</a>";
    echo "</div>";
   }
if($n>1){echo str($link="?a=exceptions&amp;",$n,$page);}
}else{
echo "<div class='msg'>Список исключений пуст!</div>";
}
//
echo "<form action='' method='post'>";
echo "Добавить IP в исключения<br />";
echo "<input type='text' name='exceptionsip' value='' /><br />";
echo "<input type='submit' value='добавить' />";
echo "</form>";
}
?>
